<template>
  <style include="cr-shared-style cros-color-overrides">
    :host {
      --grey-border: 1px solid var(--google-grey-300);
      --dialog-top-border-size: 35px;
    }

    .container,
    .signin-frame {
      height: 100%;
      margin: 0;
      padding: 0;
      width: 100%;
    }

    .container {
      align-items: center;
      display: flex;
      height: calc(100% - 90px);
      justify-content: center;
      margin-top: calc(-1 * var(--dialog-top-border-size));
    }

    .template-container {
      align-items: center;
      display: flex;
      height: 100%;
      justify-content: center;
      width: 100%;
    }

    .content-container {
        align-items: stretch;
        height: 100%;
        max-width: 768px;
        width: 100%;
    }

    @media (orientation: landscape) {
      .content-container {
         max-height: 640px;
      }
    }

    @media (orientation: portrait) {
      .content-container {
        max-height: 768px;
      }
    }

    .main[scrollable].can-scroll:not(.is-scrolled):not(.scrolled-to-bottom) {
      background: var(--background-gradient-0);
    }

    .main[scrollable].can-scroll.is-scrolled:not(.scrolled-to-bottom) {
      background: var(--background-gradient-0), var(--background-gradient-180);
    }

    .main[scrollable].is-scrolled.scrolled-to-bottom {
      background: var(--background-gradient-180);
    }

    .main {
      height: 100%;
      width: 100%;
    }

    .footer {
      align-items: center;
      display: flex;
      height: 90px;
      padding-inline-end: 32px;
      padding-inline-start: 32px;
    }

    .signin-frame {
      background-color: white;
      overflow: hidden;
    }

    paper-spinner-lite {
      --spinner-size: 25px;
      display: none;
      height: var(--spinner-size);
      width: var(--spinner-size);
    }

    paper-spinner-lite[active] {
      display: inline-block;
    }

    edu-coexistence-template {
      align-items: center;
      display: flex;
      height: 100%;
      justify-content:  center;
    }

    h1 {
      font-size: 2em;
      font-weight: normal;
      margin-bottom: 16px;
      margin-top: 20px;
    }

    p {
      line-height: 1.5;
      margin: 0;
      white-space: pre-line;
    }

    a {
      color: var(--google-blue-700);
      text-decoration: none;
    }

    .main-padding {
      height: calc(100% - calc(64px -var(--dialog-top-border-size)));
      padding-inline-end: 64px;
      padding-inline-start: 64px;
      padding-top: calc(64px - var(--dialog-top-border-size));
      width: 100%;
    }

    .text-elide {
      overflow: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
    }

    .secondary {
      color: var(--google-grey-refresh-700);
      font-weight: 400;
    }

    .google-logo {
      height: 32px;
      margin-top: 10px;
      width: 32px;
    }

    .google-full-logo {
      width: 74px;
    }

    .profile-icon {
      background: center / cover no-repeat;
      border-radius: 50%;
      flex-shrink: 0;
    }

    .buttons-layout {
      align-items: center;
      display: flex;
      justify-content: space-between;
      margin-inline-end: 32px;
      margin-inline-start: 32px;
      width: 100%;
    }

    span[slot='buttons'] {
      display: flex;
      width: 100%;
    }

    span[slot='main'] {
      display: flex;
      height: 100%;
    }

    edu-coexistence-button[button-type='back'] {
      margin-inline-start: auto;
    }

  </style>
</template>
